.menu {
    -ms-flex-negative: 0;
    flex-shrink: 0;
    height: 100%;
    font-size: 18px;
}

.menu .menu-wrapper {
    position: relative;
    padding: 16px;
    border-top: 1px solid var(--border-color);
}

.menu .menu-footer {
    display: grid;
    gap: 8px;
    padding-bottom: 20px;
}

.menu .menu__list {
    height: 100%;
    margin: 0;
    display: -ms-flexbox;
    display: flex;
    gap: 30px;
}

.menu .menu__list > li {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    height: 100%;
}

.menu .menu__list > li > a {
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    font-size: 1em;
    line-height: 160%;
    font-weight: 400;
    letter-spacing: normal;
    color: var(--main-text-color);
    text-transform: none;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-pack: start;
    justify-content: flex-start;
    -ms-flex-align: center;
    align-items: center;
    gap: 5px;
}

.menu .menu__list > li > a span {
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    gap: 8px;
}

.menu .menu__dropdown {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

.menu .menu__dropdown-list {
    position: absolute;
    top: 100%;
    left: 0px;
    border-radius: 16px;
    background: var(--bg-color-2);
    padding-top: 10px;
    padding-bottom: 10px;
    box-shadow: 9px 11px 29px 0 rgba(125, 138, 152, 0.15);
}

.menu .menu__dropdown-list .menu__dropdown-list {
    top: -10px;
    left: 100%;
}

.menu .menu__dropdown-list li a {
    display: block;
    padding-left: 24px;
    padding-right: 24px;
    padding-top: 5px;
    padding-bottom: 5px;
    font-size: 16px;
    font-weight: 500;
    letter-spacing: normal;
    line-height: 160%;
    color: var(--main-text-color);
    text-transform: none;
}

.menu__dropdown-arrow {
    position: relative;
    background-color: transparent;
    width: 30px;
    height: 30px;
}

.menu__dropdown-arrow::before {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    -webkit-mask-image: url('data:image/svg+xml,<svg width="7" height="12" viewBox="0 0 7 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1 11L6 6L1 1" stroke="%239397AD" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" /></svg>');
    mask-image: url('data:image/svg+xml,<svg width="7" height="12" viewBox="0 0 7 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1 11L6 6L1 1" stroke="%239397AD" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" /></svg>');
    background: #9397ad;
    -webkit-mask-position: center;
    mask-position: center;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-size: auto;
    mask-size: auto;
    transition: background var(--animation-duration) var(--timing-func);
}

.menu .switch-back {
    display: none;
    background: url('data:image/svg+xml,<svg width="7" height="12" viewBox="0 0 7 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M6 11L1 6L6 1" stroke="%239397AD" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" /></svg>') 0px 50% no-repeat;
    padding-bottom: 6px;
    padding-top: 6px;
    padding-left: 45px;
    padding-right: 45px;
    text-align: center;
    border-bottom: 1px solid var(--border-color);
}

.menu .switch-back a {
    font-weight: 700 !important;
    font-size: 15px !important;
}

.menu-overlay {
    pointer-events: none;
    position: fixed;
    display: block;
    width: 100%;
    height: 100vh;
    top: 0;
    right: 0;
    background: #fff;
    transform: scaleY(0);
    transform-origin: bottom;
    background: rgba(255, 255, 255, 0.1);
    -webkit-backdrop-filter: blur(3px);
    backdrop-filter: blur(3px);
}

.menu-overlay.active {
    transform: scaleY(1);
}

.nav > li > a {
    padding: 0;
}

.nav > li > a:hover,
.nav > li > a:focus {
    text-decoration: none;
    background-color: transparent;
}

.menu-burger {
    -ms-flex-negative: 0;
    flex-shrink: 0;
    display: none;
    position: relative;
    width: 133px;
    height: 54px;
    overflow: hidden;
    border-radius: 50px;
    border: 1px solid var(--primary-color);
    background: var(--primary-color);
}

.menu-burger span {
    width: 100%;
    height: 100%;
    display: -ms-flexbox;
    display: flex;
    gap: 4px;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    position: relative;
    transition: transform var(--animation-duration) var(--timing-func);
    transform: translateY(-100%);
    font-weight: 500;
    font-size: 13px;
    line-height: 160%;
    color: #fff;
}

.menu-burger span svg {
    margin-top: -2px;
}

.menu-burger span:first-child {
    background: #fff;
    color: #0b0f19;
}

.menu-burger.active span {
    transform: translateY(0);
}

.mobile-menu-search {
    padding: 20px 0px;
}

.mobile-menu-search__box {
    position: relative;
    height: 46px;
}

.mobile-menu-search input[type=search] {
    width: 100%;
    height: 100%;
    border-radius: 48px;
    background: #f2f4f9;
    padding: 0px 46px 0px 20px !important;
    outline: none;
    box-shadow: none;
    font-weight: 500;
    font-size: 14px;
    line-height: 140%;
    color: var(--main-text-color);
}

.mobile-menu-search input[type=search]:-ms-input-placeholder {
    color: var(--zagolovki);
}

.mobile-menu-search input[type=search]::placeholder {
    color: var(--zagolovki);
}

.mobile-menu-search button {
    position: absolute;
    right: 0px;
    top: 0px;
    height: 100%;
    border-radius: 50%;
    aspect-ratio: 1;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    background: transparent;
}

.header-search {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 78px;
    background: var(--main-bg-color);
    opacity: 0;
    transform: translateY(-100%);
    pointer-events: none;
    transition: opacity var(--animation-duration) var(--timing-func), transform var(--animation-duration) var(--timing-func);
    z-index: 99;
    padding-left: max(15px, (100% - 1810px) / 2);
    padding-right: max(15px, (100% - 1810px) / 2);
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
}

.header-search form {
    width: 100%;
    position: relative;
    height: 54px;
}

.header-search form input {
    height: 100%;
    background: #fff;
    border: 1px solid var(--border-color);
    border-radius: 7px;
    width: 100%;
    font-weight: 500;
    font-size: 15px;
    color: var(--main-text-color);
    outline: none;
    padding: 0px 70px;
}

.header-search form input:-ms-input-placeholder {
    color: var(--text-color-gray);
}

.header-search form input::placeholder {
    color: var(--text-color-gray);
}

.header-search form button {
    position: absolute;
    height: 100%;
    top: 0;
    aspect-ratio: 1;
    border-radius: 7px;
}

.header-search form button[type=reset] {
    right: 0;
}

.header-search form button[type=reset]:before, .header-search form button[type=reset]:after {
    content: "";
    display: block;
    background: #000;
    height: 2px;
    width: 18px;
    position: absolute;
    top: 50%;
    left: 50%;
    transition: background var(--animation-duration) var(--timing-func);
}

.header-search form button[type=reset]:before {
    transform: translate(-50%, -50%) rotate(45deg);
}

.header-search form button[type=reset]:after {
    transform: translate(-50%, -50%) rotate(-45deg);
}

.header-search form button[type=submit] {
    left: 0;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.header-search form button[type=submit] svg path {
    transition: fill var(--animation-duration) var(--timing-func);
}

.search-is-open .header-search {
    opacity: 1;
    transform: translateY(0);
    pointer-events: auto;
}

.header-search-open {
    border-radius: 50%;
    padding: 0px;
    width: 46px;
    height: 46px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex-align: center;
    align-items: center;
    background: #fff;
    transition: background var(--animation-duration) var(--timing-func);
}

.header-search-open svg path {
    transition: stroke var(--animation-duration) var(--timing-func);
}

.header .menu-burger {
    margin-left: 10px;
}

.header-logo {
    margin-right: auto;
}

.internal-layout .header .header-logo {
    margin-left: 0;
}

.header {
    position: relative;
}

.header__container {
    height: 100%;
}

.header__wrapper {
    height: 78px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    gap: 15px;
}

.header-logo {
    position: relative;
    z-index: 2;
    -ms-flex: 0 0 338px;
    flex: 0 0 338px;
}

.header-logo img {
    width: 100%;
}

.mobile-menu-contacts__title {
    font-family: var(--second-family);
    font-weight: 600;
    font-size: 15px;
    line-height: 130%;
    color: #0b0f19;
    margin-bottom: 20px;
}

.mobile-menu-contacts__list {
    display: grid;
    gap: 20px;
    font-weight: 500;
    font-size: 15px;
    line-height: 130%;
    color: #141517;
}

.mobile-menu-contacts a,
.mobile-menu-contacts p {
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: start;
    align-items: flex-start;
    gap: 5px;
}

.mobile-menu-contacts a::before,
.mobile-menu-contacts p::before {
    margin-top: 2px;
}

.mobile-menu-contacts a[href^="tel:"]::before,
.mobile-menu-contacts p[href^="tel:"]::before {
    content: url("../img/icons/phone_icon.svg");
}

.mobile-menu-contacts a.location::before,
.mobile-menu-contacts p.location::before {
    content: url("../img/icons/loc_icon.svg");
}

@media (any-hover: hover) and (min-width: 1023.98px) {
    .menu__dropdown-arrow {
        display: none;
    }
}

@media (min-width: 1023.98px) {
    .menu .menu-wrapper {
        display: contents;
    }

    .menu .menu-footer {
        display: none;
    }

    .menu .menu__dropdown-list {
        max-width: 337px;
        min-width: 177px;
        width: -webkit-max-content;
        width: max-content;
    }

    .menu .menu__dropdown-list {
        top: 100%;
    }

    .menu .menu__dropdown-list li a {
        -ms-flex: 1 1 auto;
        flex: 1 1 auto;
    }

    .menu .menu__list {
        -ms-flex-align: center;
        align-items: center;
    }

    .menu .menu__list > li > a {
        height: 100%;
        position: relative;
    }

    .menu .menu__list > li > a span {
        height: 100%;
        transition: 0.3s;
    }

    .menu .menu__list > li.current-menu-item > a span,
  .menu .menu__list > li:not(.current-menu-item):hover > a span {
        color: var(--primary-color);
    }

    .menu .menu__list > li.current-menu-item > .menu__dropdown-arrow::before,
  .menu .menu__list > li:not(.current-menu-item):hover > .menu__dropdown-arrow::before {
        background: var(--primary-color);
    }

    .menu .menu__dropdown-list li > a {
        transition: color var(--animation-duration) var(--timing-func);
    }

    .menu .menu__dropdown-list li:hover > a {
        color: var(--primary-color);
    }

    .menu .menu__dropdown-list {
        opacity: 0;
        transform: rotateX(-90deg);
        transition: transform 450ms ease;
        transform-origin: top;
        transform-style: preserve-3d;
    }

    .menu .menu__dropdown-list > li {
        transform: translateY(10px);
        opacity: 0;
        transition: transform 250ms ease, opacity 250ms ease;
        transition-delay: 0ms;
    }

    .menu__dropdown.hover > .menu__dropdown-list {
        visibility: visible;
        opacity: 1;
        transform: rotateX(0deg);
        pointer-events: auto;
    }

    .menu__dropdown.hover > .menu__dropdown-list > li {
        transform: translateY(0px);
        opacity: 1;
    }

    .menu__dropdown.hover > .menu__dropdown-list > li:nth-child(1) {
        transition-delay: 0.2s;
    }

    .menu__dropdown.hover > .menu__dropdown-list > li:nth-child(2) {
        transition-delay: 0.3s;
    }

    .menu__dropdown.hover > .menu__dropdown-list > li:nth-child(3) {
        transition-delay: 0.4s;
    }

    .menu__dropdown.hover > .menu__dropdown-list > li:nth-child(4) {
        transition-delay: 0.5s;
    }

    .menu__dropdown.hover > .menu__dropdown-list > li:nth-child(5) {
        transition-delay: 0.6s;
    }

    .menu__dropdown.hover > .menu__dropdown-list > li:nth-child(6) {
        transition-delay: 0.7s;
    }

    .menu__dropdown.hover > .menu__dropdown-list > li:nth-child(7) {
        transition-delay: 0.8s;
    }

    .menu__dropdown.hover > .menu__dropdown-list > li:nth-child(8) {
        transition-delay: 0.9s;
    }

    .menu__dropdown.hover > .menu__dropdown-list > li:nth-child(9) {
        transition-delay: 1s;
    }

    .menu__dropdown.hover > .menu__dropdown-list > li:nth-child(10) {
        transition-delay: 1.1s;
    }

    .menu__dropdown.hover > .menu__dropdown-list > li:nth-child(11) {
        transition-delay: 1.2s;
    }

    .menu__dropdown.hover > .menu__dropdown-list > li:nth-child(12) {
        transition-delay: 1.3s;
    }

    .menu__dropdown.hover > .menu__dropdown-list > li:nth-child(13) {
        transition-delay: 1.4s;
    }

    .menu__dropdown.hover > .menu__dropdown-list > li:nth-child(14) {
        transition-delay: 1.5s;
    }

    .menu-overlay {
        display: none;
    }
}

@media (min-width: 1023.98px) and (any-hover: hover) {
    .menu__dropdown:hover > .menu__dropdown-list {
        visibility: visible;
        opacity: 1;
        transform: rotateX(0deg);
        pointer-events: auto;
    }

    .menu__dropdown:hover > .menu__dropdown-list > li {
        transform: translateY(0px);
        opacity: 1;
    }

    .menu__dropdown:hover > .menu__dropdown-list > li:nth-child(1) {
        transition-delay: 0.14s;
    }

    .menu__dropdown:hover > .menu__dropdown-list > li:nth-child(2) {
        transition-delay: 0.21s;
    }

    .menu__dropdown:hover > .menu__dropdown-list > li:nth-child(3) {
        transition-delay: 0.28s;
    }

    .menu__dropdown:hover > .menu__dropdown-list > li:nth-child(4) {
        transition-delay: 0.35s;
    }

    .menu__dropdown:hover > .menu__dropdown-list > li:nth-child(5) {
        transition-delay: 0.42s;
    }

    .menu__dropdown:hover > .menu__dropdown-list > li:nth-child(6) {
        transition-delay: 0.49s;
    }

    .menu__dropdown:hover > .menu__dropdown-list > li:nth-child(7) {
        transition-delay: 0.56s;
    }

    .menu__dropdown:hover > .menu__dropdown-list > li:nth-child(8) {
        transition-delay: 0.63s;
    }

    .menu__dropdown:hover > .menu__dropdown-list > li:nth-child(9) {
        transition-delay: 0.7s;
    }

    .menu__dropdown:hover > .menu__dropdown-list > li:nth-child(10) {
        transition-delay: 0.77s;
    }

    .menu__dropdown:hover > .menu__dropdown-list > li:nth-child(11) {
        transition-delay: 0.84s;
    }

    .menu__dropdown:hover > .menu__dropdown-list > li:nth-child(12) {
        transition-delay: 0.91s;
    }

    .menu__dropdown:hover > .menu__dropdown-list > li:nth-child(13) {
        transition-delay: 0.98s;
    }

    .menu__dropdown:hover > .menu__dropdown-list > li:nth-child(14) {
        transition-delay: 1.05s;
    }
}

@media (min-width: 1200px) {
    .header .menu {
        margin-right: 30px;
    }
}

@media (min-width: 1500px) {
    .header-logo {
        margin-left: 225px;
    }
}

@media (max-width: 1840px) {
    .menu .menu__dropdown-list li a {
        white-space: normal;
    }
}

@media (max-width: 1300px) {
    .menu .menu__list {
        gap: 12px;
    }
}

@media (max-width: 1200px) {
    .menu {
        font-size: 15px;
    }

    .header-logo {
        -ms-flex: 0 0 250px;
        flex: 0 0 250px;
    }
}

@media (max-width: 1023.98px) {
    .menu {
        background: var(--bg-color-2);
        pointer-events: none;
        height: auto;
        right: 15px;
        top: 78px;
        position: fixed;
        width: 375px;
        font-size: 15px;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-direction: column;
        flex-direction: column;
        overflow: hidden;
    }

    .menu.active {
        visibility: visible;
        pointer-events: auto;
    }

    .menu .menu-wrapper {
        padding: 0px;
    }

    .menu .menu__list {
        display: block;
        height: auto;
    }

    .menu .menu__list > li {
        height: auto;
        margin-right: 0 !important;
        margin-left: 0;
        padding-top: 10px;
        padding-bottom: 10px;
    }

    .menu .menu__list > li > a {
        color: var(--main-text-color);
        font-weight: 500;
        line-height: normal;
        letter-spacing: normal;
    }

    .menu .menu__dropdown {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-align: center;
        align-items: center;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }

    .menu .menu__dropdown-list {
        background: var(--bg-color-2);
        position: static;
        opacity: 1;
        visibility: visible;
        transform: translate(0px, 0px);
        pointer-events: auto;
        border: 0;
        border-radius: 0;
        box-shadow: none;
        height: auto;
        min-width: auto;
        max-width: auto;
    }

    .menu .menu__dropdown-list .menu__dropdown-list {
        -ms-flex: 1 1 100%;
        flex: 1 1 100%;
    }

    .menu .menu__dropdown-list li a {
        white-space: normal;
        padding-left: 0;
        padding-right: 0;
        padding-top: 10px;
        padding-bottom: 10px;
        color: var(--main-text-color);
        font-size: 15px;
        font-weight: 500;
        line-height: normal;
        letter-spacing: normal;
    }

    .menu__dropdown-arrow {
        margin-left: 10px;
    }

    .menu {
        -webkit-clip-path: inset(0% 0% 100% 0%);
        clip-path: inset(0% 0% 100% 0%);
        transition: -webkit-clip-path var(--animation-duration) var(--timing-func);
        transition: clip-path var(--animation-duration) var(--timing-func);
        transition: clip-path var(--animation-duration) var(--timing-func), -webkit-clip-path var(--animation-duration) var(--timing-func);
    }

    .menu.active {
        -webkit-clip-path: inset(0% 0% 0% 0%);
        clip-path: inset(0% 0% 0% 0%);
    }

    .menu .switch-back {
        display: block;
    }

    .menu .menu-wrapper {
        overflow-y: auto;
        overflow-x: hidden;
    }

    .menu .menu__dropdown {
        position: static;
    }

    .menu .menu__dropdown-list .menu__dropdown-list {
        top: 0;
        left: 0;
    }

    .menu .menu__dropdown-list {
        position: absolute;
        padding: 0px;
        left: 0;
        top: 0;
        width: 100%;
        min-height: 100%;
        z-index: 2;
        transform: translateX(-100%);
        border-radius: 0;
        transition: transform var(--animation-duration) var(--timing-func);
        -ms-overflow-style: none;
        scrollbar-width: none;
    }

    .menu .menu__dropdown-list::-webkit-scrollbar {
        width: 0;
    }

    .menu .menu__dropdown-list.is-active {
        transform: none;
    }

    .menu-burger {
        height: 37px;
        width: 103px;
    }

    .menu-burger {
        display: block;
        position: relative;
        z-index: 2;
    }

    .header-search {
        height: 73px;
    }

    .header-search,
  .header-search-open {
        display: none;
    }

    .header__wrapper {
        height: 73px;
    }

    .header__btn {
        display: none;
    }

    .header-logo {
        -ms-flex: 0 0 227px;
        flex: 0 0 227px;
    }
}

@media (max-width: 1023.98px) and (max-width: 1023.98px) {
    .menu {
        width: 100%;
        border-radius: 0px;
        top: 0;
        left: 0;
        padding-top: 73px;
        border: none;
        height: auto;
        max-height: 100svh;
        padding-right: max(15px, (100% - 768px) / 2);
        padding-left: max(15px, (100% - 768px) / 2);
        border-radius: 0 0 15px 15px;
    }
}

@media (max-width: 1023.98px) and (max-width: 767.98px) {
    .menu {
        padding-top: 53px;
    }
}

@media (max-width: 767.98px) {
    .header-search {
        height: 53px;
    }

    .header-search form {
        height: 35px;
    }

    .header {
        background: #fff;
        border-radius: 0px 0px 15px 15px;
    }

    .header__wrapper {
        height: 53px;
    }

    .header-logo {
        -ms-flex: 0 0 177px;
        flex: 0 0 177px;
    }
}

@media (any-hover: hover) {
    .header-search form button[type=reset]:hover::before, .header-search form button[type=reset]:hover::after {
        background: var(--primary-color);
    }

    .header-search form button[type=submit]:hover svg path {
        fill: var(--primary-color);
    }

    .header-search-open:hover {
        background: var(--primary-color);
    }

    .header-search-open:hover svg path {
        stroke: #fff;
    }
}